# PassengerInfo

This is just a little bit of code to read the output of `passenger-status --show=server` (which as of
passenger 5.3.4 is the same as `passenger-status --show=requests`) and stuff some of it into ruby objects, in
order to make monitoring from within your app a little bit easier.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'passenger-info'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install passenger-info

## Usage

```ruby
@passenger_requests = PassengerInfo.from_server_status(`passenger-status --show=server`)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/passenger-info. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Passenger
Info project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/passenger-info/blob/master/CODE_OF_CONDUCT.md).
